Package org.zkoss.zul

## Class GanttModel.GanttTask

- java.lang.Object
- - org.zkoss.zul.GanttModel.GanttTask

- All Implemented Interfaces:
    `java.io.Serializable`
  Enclosing class:
    GanttModel

      public static class GanttModel.GanttTask
      extends java.lang.Object
      implements java.io.Serializable

  A Task in an operation series; a helper class used in `GanttModel`.
  Since:
    3.5.0
  Author:
    henrichen
  See Also:
    `GanttModel`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GanttTask​(java.lang.String description, java.util.Date start, java.util.Date end, double percent)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addSubtask​(GanttModel.GanttTask task)` |
    `protected void` | `fireChartChange()` |
    `java.lang.String` | `getDescription()` |
    `java.util.Date` | `getEnd()` |
    `double` | `getPercent()` |
    `java.util.Date` | `getStart()` |
    `GanttModel.GanttTask[]` | `getSubtasks()` |
    `void` | `removeSubtask​(GanttModel.GanttTask task)` |
    `void` | `setDescription​(java.lang.String description)` |
    `void` | `setEnd​(java.util.Date end)` |
    `void` | `setPercent​(double percent)` |
    `void` | `setStart​(java.util.Date start)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GanttTask

          public GanttTask​(java.lang.String description,
                           java.util.Date start,
                           java.util.Date end,
                           double percent)

  - ### Method Detail

    - #### getStart

          public java.util.Date getStart()

    - #### setStart

          public void setStart​(java.util.Date start)

    - #### getEnd

          public java.util.Date getEnd()

    - #### setEnd

          public void setEnd​(java.util.Date end)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription​(java.lang.String description)

    - #### getPercent

          public double getPercent()

    - #### setPercent

          public void setPercent​(double percent)

    - #### addSubtask

          public void addSubtask​(GanttModel.GanttTask task)

    - #### removeSubtask

          public void removeSubtask​(GanttModel.GanttTask task)

    - #### getSubtasks

          public GanttModel.GanttTask[] getSubtasks()

    - #### fireChartChange

          protected void fireChartChange()